.sidebar{position: fixed;top: 0;left: -351px;width: 350px;height: 100%;background: #fff;border-right: 1px solid var(--border);box-shadow: 2px 0 6px rgba(0,0,0,0.2);transition: left 0.3s ease-in-out;z-index: 1001;padding: 0px;overflow-y: auto;}
.sidebar.active {left: 0;}
.sidebar-header {display: flex;justify-content: space-between;align-items: center;border-bottom: 1px solid var(--border);padding: 10px 15px;background: var(--bgcopy);}
.sidebar-header h3 {margin: 0;font-size: 15px;color: var(--primary);}
.close-btn{font-size: 28px;background: none;border: none;cursor: pointer;color: var(--heading);}
.close-btn:hover{color: var(--primary);}
.sidebar::-webkit-scrollbar {width: 5px;height: 50px;}
.sidebar::-webkit-scrollbar-thumb {background-color: var(--primary);border-radius: 5px;}
/* Heading or Close BTN End Here */
.overlay {position: fixed;top: 0;left: 0;right: 0;bottom: 0;background: rgba(0,0,0,0.4);display: none;z-index: -1;}
.overlay.active {display: block;}
.sidebar_content{padding: 15px;background: var(--white);}
.sidebar_content .products-filter_filter{border-bottom: 1px solid var(--border)!important;padding: 7px 10px;}
.sidebar_content .products-filter_filter:last-child{border-bottom:none!important;}
/* Product List End Here */
.filter-control { display: block;padding-bottom: 10px;}
.filter-name {cursor: pointer; display: flex; justify-content: space-between; align-items: center; padding: 5px 0;font-size: 16px;font-weight: 400;}
.filter-name.active {color: var(--primary)}
.filter-name i { transition: transform 0.3s; }
.filter-name.active i {transform: rotate(180deg);}
/* Heading End Here */
.filter-options li a{display: flex;align-items: center;justify-content: space-between;margin-top: 10px !important;color: var(--heading);font-size: 14px;}
.filter-options li a .cate_counter{color: var(--white);font-size: 13px;background: var(--orange);padding: 1px 10px;border-radius: 3px;}
.filter-options li a:hover{color: var(--primary);}
.filter-options li a:hover .cate_counter{background: var(--primary);}
.filter-options .dropdown_list ul{display: block;align-items: center;justify-content: space-between;margin-top: 10px !important;padding-left: 15px!important;}
.products_filters .filter-categories{height: auto;max-height: 300px;overflow-y: auto;padding-right: 10px!important;}
.products_filters .filter-categories::-webkit-scrollbar {width: 3px;height: 5px;}
.products_filters .filter-categories::-webkit-scrollbar-thumb {background-color: var(--heading);border-radius: 5px;}
/* Category End Here */
.product_status_filter .filter-options li{margin-top: 10px!important;}
.product_status_filter .filter-options li label{display: flex!important;align-items: center;gap: 10px;}
.product_status_filter .filter-options li input[type="radio"]{width: 20px;height: 20px;accent-color: red;}
/* Availability End Here */
.products_filters .filter-brands{height: auto;max-height: 300px;overflow-y: auto;padding-right: 10px!important;}
.products_filters .filter-brands::-webkit-scrollbar {width: 3px;height: 5px;}
.products_filters .filter-brands::-webkit-scrollbar-thumb {background-color: var(--heading);border-radius: 5px;}
/* Brand End Here */
.products_filters .filter-size label {display: flex;gap: 10px;font-size: 14px;padding-top: 10px;}
.products_filters .filter-size label input{width: 20px;height: 20px;}
.products_filters .filter-size label input[type="checkbox"] {accent-color: var(--primary);}
/* Size End Here */
.sidebar_content .apply_filter{background: var(--primary);border: none;padding: 10px 15px;width: 100%;color: var(--white);margin-top: 20px;}
.sidebar_content .apply_filter:hover{background: var(--heading);}
/* Sidebar Section End Here */